> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/integracion-de-comercios/servicios/estados-de-entrega.md).

# Estados de entrega

Este servicio permite a Fenicio consultar los estados de entrega de las órdenes que hayan modificado su estado de entrega dentro de un período dado.

<table data-full-width="false"><thead><tr><th width="150">Método</th><th>URL</th></tr></thead><tbody><tr><td><code>GET</code></td><td><code>https://{ApiURL}/estadosentrega</code></td></tr></tbody></table>

## Request

<table data-full-width="false"><thead><tr><th width="223.33333333333331">Clave</th><th width="193">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>desde</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#datetime"><strong>DateTime</strong></a></td><td>Fecha de inicio del período requerido.</td></tr><tr><td><strong><code>hasta</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#datetime"><strong>DateTime</strong></a></td><td>Fecha final del período requerido.</td></tr></tbody></table>

### Ejemplo <a href="#ejemplo" id="ejemplo"></a>

```json
{
  "_idSolicitud": "220418155601-FNSHPUY-ab877b5720bf0c8d98271d23db4e09cf",
  "desde": "2022-04-15T15:42:02-0300",
  "hasta": "2022-04-18T15:56:01-0300"
}
```

## Response

{% hint style="warning" %}
El servicio debe retornar únicamente los últimos estados modificados dentro del período indicado. Si una orden modificó su estado de entrega múltiples veces en ese plazo, únicamente deberá retornarse la última modificación
{% endhint %}

Lista de objetos con los siguientes datos del estado de entrega:

<table><thead><tr><th width="224">Clave</th><th width="179">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>orden</code></strong></td><td>String(32)</td><td>Identificador de la orden en Fenicio.</td></tr><tr><td><strong><code>estado</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#estadoentrega"><strong>EstadoEntrega</strong></a></td><td>Estado de la entrega de la orden.</td></tr><tr><td><strong><code>descripcion</code></strong></td><td>String(255) | null</td><td>Texto libre con mayor detalle de la situación de entrega.</td></tr><tr><td><strong><code>fechaModificacion</code></strong></td><td><a href="/pages/LjX6E6o8pT0EpYonxgLH#datetime"><strong>DateTime</strong></a></td><td>Momento de la última modificación de estado de entrega de la orden.</td></tr><tr><td><strong><code>codigoRastreo</code></strong></td><td>String(64) | null</td><td>Código para rastrear la orden en el servicio de entrega.</td></tr></tbody></table>

### Ejemplo <a href="#ejemplo-1" id="ejemplo-1"></a>

```json
{
  "status": "OK",
  "mensaje": null,
  "data": {
    "estadosEntrega": [
      {
        "orden": "8272",
        "estado": "EN_TRANSITO",
        "descripcion": "En móvil de reparto.",
        "fechaModificacion": "2022-04-16T10:15:00-0300",
        "codigoRastreo": "1234567989"
      },
      {
        "orden": "8270",
        "estado": "LISTO_PARA_RETIRAR",
        "descripcion": null,
        "fechaModificacion": "2022-04-17T11:00:00-0300",
        "codigoRastreo": null
      }
    ]
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://guia.fenicio.help/developers/integracion-de-comercios/servicios/estados-de-entrega.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
